summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnsgar Burchardt <ansgar@debian.org>2016-09-23 20:36:26 (GMT)
committerAnsgar Burchardt <ansgar@debian.org>2016-10-18 22:01:48 (GMT)
commita8109a6bf2d4197e616de10f5e496d0ff2b8e763 (patch)
tree42663876f71e4e8f834ae5d761713ec9325e1d14
parente1c5de1b385b95f8bf8235190b16f6ca0aa98b18 (diff)
downloaddebootstrap-a8109a6bf2d4197e616de10f5e496d0ff2b8e763.zip
debootstrap-a8109a6bf2d4197e616de10f5e496d0ff2b8e763.tar.gz
debootstrap-a8109a6bf2d4197e616de10f5e496d0ff2b8e763.tar.bz2
Only unpack and configure the base system when there are packages to install
Bug: https://bugs.debian.org/825034
-rw-r--r--scripts/sid24
1 files changed, 13 insertions, 11 deletions
diff --git a/scripts/sid b/scripts/sid
index 511cebf..0b289f9 100644
--- a/scripts/sid
+++ b/scripts/sid
@@ -194,17 +194,19 @@ echo \"Warning: Fake start-stop-daemon called, doing nothing\"" > "$TARGET/sbin/
done_predeps="$done_predeps $predep"
done
- smallyes '' |
- (repeatn 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages. This will be re-attempted up to five times." "" \
- dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
- dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
-
- info CONFBASE "Configuring the base system..."
-
- smallyes '' |
- (repeatn 5 in_target_failmsg CONF_BASE_FAIL_FIVE "Failure while configuring base packages. This will be re-attempted up to five times." "" \
- dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
- dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
+ if [ -n "$base" ]; then
+ smallyes '' |
+ (repeatn 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages. This will be re-attempted up to five times." "" \
+ dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
+
+ info CONFBASE "Configuring the base system..."
+
+ smallyes '' |
+ (repeatn 5 in_target_failmsg CONF_BASE_FAIL_FIVE "Failure while configuring base packages. This will be re-attempted up to five times." "" \
+ dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
+ fi
mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
rm -f "$TARGET/usr/sbin/policy-rc.d"